DCMTK: DcmPresentationContextItem Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmPresentationContextItem Class Reference

this helper class is a presentation context list entry. More...

## Public Member Functions
| DcmPresentationContextItem (const DcmUIDHandler &abstractSyntax, const OFString &xferSyntaxGroup)
| constructor
| DcmPresentationContextItem (const DcmPresentationContextItem &arg)
| copy constructor
| ~DcmPresentationContextItem ()
| destructor
DcmPresentationContextItem & | operator= (const DcmPresentationContextItem &arg)
| assignment operator
OFBool | matches (const DcmUIDHandler &arg) const
| checks if the given argument matches the abstract syntax UID maintained by this object
const char * | getAbstractSyntax () const
| returns the abstract syntax UID
const char * | getTransferSyntaxKey () const
| returns the key for the list of transfer syntaxes maintained by this object
OFBool | operator== (const DcmPresentationContextItem &arg) const
| comparison operator.

## Private Attributes
DcmUIDHandler | uid_
| abstract syntax UID
OFString | xferSyntaxGroup_
| key of the transfer syntax group

## Detailed Description

this helper class is a presentation context list entry.

Not intended for use by the end user.

## Constructor & Destructor Documentation

## ◆ DcmPresentationContextItem()

DcmPresentationContextItem::DcmPresentationContextItem | ( | const DcmUIDHandler & | abstractSyntax,
|  | const OFString & | xferSyntaxGroup )

constructor

Parameters

  abstractSyntax | abstract syntax
  xferSyntaxGroup | symbolic key for transfer syntax list

Referenced by DcmPresentationContextItem(), operator=(), and operator==().

## Member Function Documentation

## ◆ getAbstractSyntax()

const char * DcmPresentationContextItem::getAbstractSyntax | ( |  | ) | const
| inline

returns the abstract syntax UID

Returns
  abstract syntax UID, never NULL

References uid_.

## ◆ getTransferSyntaxKey()

const char * DcmPresentationContextItem::getTransferSyntaxKey | ( |  | ) | const
| inline

returns the key for the list of transfer syntaxes maintained by this object

Returns
  transfer syntax key

References xferSyntaxGroup_.

## ◆ matches()

OFBool DcmPresentationContextItem::matches | ( | const DcmUIDHandler & | arg | ) | const
| inline

checks if the given argument matches the abstract syntax UID maintained by this object

Parameters

  arg | argument to compare to

Returns
  true if equal, false otherwise

References uid_.

## ◆ operator==()

OFBool DcmPresentationContextItem::operator== | ( | const DcmPresentationContextItem & | arg | ) | const
| inline

comparison operator.

Parameters

  arg | object to compare with

Returns
  true if equal

References DcmPresentationContextItem(), uid_, and xferSyntaxGroup_.

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfpcmp.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2